/*
 * acctstatus.H
 *    These are handy status codes.
 *
 * acctstatus.H,v 1.1 1993/05/24 18:16:25 gjb Exp
 */

#ifndef ACCT_STATUS_H
#define ACCT_STATUS_H

typedef int AcctStatus;

static const AcctStatus ACCT_SUCCESS = 0;
static const AcctStatus ACCT_RECORD_NOT_FOUND = 1;
static const AcctStatus ACCT_COMMUNICATION_ERROR = 2;
static const AcctStatus ACCT_NOT_AUTHORIZED = 3;
static const AcctStatus ACCT_NO_TRANSACTION = 4;

#endif
