/*
 * objdce_common.H
 *
 *    These are functions all the objdce tests will need to use.
 *
 * objdce_common.H,v 1.3 1993/06/22 20:33:08 gjb Exp
 */

#ifndef OBJDCE_TEST_COMMON_H
#define OBJDCE_TEST_COMMON_H

#include <objdce/login.H>

extern void FindProtectionLevel(const String& protString,
				LoginContext::ProtectionLevel& authnLevel);
extern Boolean ServerLogin(const String& protString, const String& principal,
			   const String& keytable, const String& directory,
			   ServerLoginContext& context);
extern Boolean CurrentLogin(const String& protString, 
			    CurrentLoginContext& context);
extern Boolean PasswordLogin(const String& protString, const String& principal,
			     PasswordLoginContext& context);
extern Boolean KeytableLogin(const String& protString, const String& principal,
			     const String& keytable, 
			     KeytableLoginContext& context);

#endif
