/*
 * rpc_one_funcs.C
 *
 *    Here, we implement the functions defined in the "RpcTestOne" interface.
 *
 * rpc_one_funcs.C,v 1.1 1993/03/31 17:44:42 gjb Exp
 */

#include <stdio.h>
#include <rpc_one.h>
#include <objdce/nontranserver.H>
#include <objdce/login.H>
#include <rpc_funcs.H>

error_status_t SampleAdd(handle_t handle, long a, long b, long* result)

{
  if ((context != nil) && (!server->IsClntAuthorized(handle)))
    return rpc_s_binding_has_no_auth;
//  printf("SampleAdd: a = %li, b = %li\n", a, b);
  *result = a + b;
  CountLatch.Lock();
  SampleAddCalled++;
  CountLatch.Unlock();
  return 0;
}

error_status_t SampleString(handle_t handle, unsigned char* str)

{
  if ((context != nil) && (!server->IsClntAuthorized(handle)))
    return rpc_s_binding_has_no_auth;
//  printf("SampleString: str = %s\n", (char*)str);
  CountLatch.Lock();
  SampleStringCalled++;
  CountLatch.Unlock();
  return 0;
}



