/*
 * test_rig_funcs.H
 *
 *    Declare the functions in our test rig. Since we're re-naming
 * them so the client can call them locally, we have to put these in so they
 * get external linkage.
 *
 * test_rig_funcs.H,v 1.1 1993/11/27 01:40:33 gjb Exp
 */

#ifndef TEST_RIG_FUNCS_H
#define TEST_RIG_FUNCS_H

#include <test_rig.h>

extern error_status_t LocalStartProgram(unsigned char*,
					long numArgs, unsigned char theArgs[][64],
					ProgramContext* ctxt);
extern error_status_t LocalSignalProgram(ProgramContext,
					 unsigned char* signal);
extern error_status_t LocalWaitForProgram(ProgramContext*);
extern error_status_t LocalIsProgramRunning(ProgramContext*,
				       	    short* up);

#endif
