/*
 * tran_funcs.C
 *
 *    These are common variables and functions used by transactional test
 * programs.
 *
 * tran_funcs.C,v 1.2 1993/08/06 22:05:33 gjb Exp
 */

#include <tran_funcs.H>
#include <objtran/transerver.H>

TranServer* tServer;

StatsThread::StatsThread(long iVal)

{
  interval = iVal;
}

StatsThread::~StatsThread()

{
}

void* StatsThread::Run()

{
  Boolean forever = true;
  unsigned long numTrans;

  SetKillable(true);
  while (forever)
    {
      SleepMe(interval, 0);
      numTrans = Transaction::NumActive();
      printf("Active transactions: %li\n");
    }
  return (void*)0;
}
