/*
 * phoneglobals.H
 *
 *    These are global variables. What fun! In fact, let's put some constants
 * here too!
 * 
 * phoneglobals.H,v 1.1 1993/11/27 01:39:15 gjb Exp
 */

#ifndef PHONE_BOOK_GLOBALS_H
#define PHONE_BOOK_GLOBALS_H

#include <objdce/login.H>
#include <objdce/nontranserver.H>

class PhoneBook;
class NonTranServer;

extern PhoneBook* TheBook;
extern NonTranServer* TheServer;

extern const LoginContext::ProtectionLevel DefaultProtLevel;
extern const char* const ServerAnnotation;
extern const RPCCommProtocol DefaultRPCProtocol;
extern const int DefaultRPCThreads;
extern const int NumRPCRetries;
extern const char* const EnvironmentServerName;

#endif
