/* 
 * tranServer.C
 *    This is a transactional RPC server that just exports one function.
 *
 * tServer.C,v 1.2 1994/03/17 18:41:05 gjb Exp
 */

#include <iostream.h>
#include <stdio.h>
#include <unistd.h>
#include <objtran/tranbinding.H>
#include <objdce/error.H>
#include <objtran/transaction.H>
#include <monobjtran/monserver.H>
extern "C"
{
#include <tran.h>
}

void CallMeTransactionally(long argument)

{
  ExistingTransaction tran;

  /* If "argument" is odd, we abort. Otherwise we don't. */
  if ((argument % 2) != 0)
      tran.Abort("Odd numbers are evil", 666, 1);
  if (tran.Aborted())
    cout << "We aborted the transaction" << endl;
  else
    cout << "CallMeTransactionally completed properly" << endl;
}

static void PrintUsage()

{
  cerr << "Usage: tranServer" << endl;
} 

void MonServer::Init(int argc, char**)

{
  if (argc != 1)
    {
      PrintUsage();
      return;
    }
  SetObjtranErrorLevel(ErrorLevels::TraceMsg);
  ExportInterface(RPCServer(MonObjtranTest,1,0), 
                  RPCVector(MonObjtranTest,1,0));
  MakeRecoverable();
}

void MonServer::PostInit()

{
}

void MonServer::Terminate()

{
}
