/*
* defs.h
*
*    This file contains definitions for things we use all the time,
* and redefines classes so they don't conflict with the rest of
 * the world.
 *
 * defs.H,v 1.9 1994/01/18 17:02:06 gjb Exp
 */


    /*********************************************************************
    Copyright (C) 1993 by Citibank, N.A., all rights reserved.

    Permission to use, copy, modify and distribute this software and its 
    documentation for any purpose and without fee, except possible 
    redistribution costs, is hereby granted, provided that (1) the above 
    copyright notice appears in all copies and (2) both that copyright-
    notice and this permission-notice appear in supporting documentation and 
    (3) the name of Citibank, N.A. is not used in advertising or publicity 
    pertaining to distribution of the software without specific and written 
    prior permission of Citibank, N.A.

    The Software is provided "as is."  Citibank, N.A. disclaims all 
    warranties, express or implied, including but not limited to warranties 
    of suitability, merchantability and fitness for any purpose.  In no 
    event shall Citibank, N.A. be responsible for any loss of use, data or 
    profit or for any other special, indirect, incidental or consequential 
    damages, neither in an action of contract nor in an action of tort, 
    arising out of or in connection with the use or performance of this 
    software.
    *********************************************************************/


#ifndef TRANCLASS_DEFS_H
#define TRANCLASS_DEFS_H

#ifndef __OWL_H
typedef int Boolean;
#endif


#ifndef true
#define true 1
#define false 0
#endif

#ifndef NIL_WAS_DEFINED
#  ifdef __cplusplus
     static const int nil = 0;
#  else
#    define nil 0
#  endif
#  define NIL_WAS_DEFINED
#endif

#ifndef _EXPORT
#  ifdef DOS
#    ifdef __DLL__
#       define _EXPORT _export
#    else
#       define _EXPORT _CLASSTYPE
#    endif
#  else
#    define _EXPORT
#  endif
#endif	

#include <objdce_config.h>

#endif



