


    /*********************************************************************
    Copyright (C) 1993 by Citibank, N.A., all rights reserved.

    Permission to use, copy, modify and distribute this software and its 
    documentation for any purpose and without fee, except possible 
    redistribution costs, is hereby granted, provided that (1) the above 
    copyright notice appears in all copies and (2) both that copyright-
    notice and this permission-notice appear in supporting documentation and 
    (3) the name of Citibank, N.A. is not used in advertising or publicity 
    pertaining to distribution of the software without specific and written 
    prior permission of Citibank, N.A.

    The Software is provided "as is."  Citibank, N.A. disclaims all 
    warranties, express or implied, including but not limited to warranties 
    of suitability, merchantability and fitness for any purpose.  In no 
    event shall Citibank, N.A. be responsible for any loss of use, data or 
    profit or for any other special, indirect, incidental or consequential 
    damages, neither in an action of contract nor in an action of tort, 
    arising out of or in connection with the use or performance of this 
    software.
    *********************************************************************/


#include "posix.h"
#include <fstream.h> 
#include <stdlib.h>
#include <string.h>
extern "C" {
#include <stdio.h>
}

#define MAX_CATALOG_ITEMS 10
#define YES 0   
#define NO  1  

struct MESSAGE_CATALOG {     
	nl_catd theCatalogNumber;
	FILE *  fp;
	int     Available;
};


MESSAGE_CATALOG theMessages[MAX_CATALOG_ITEMS];

//********************************************************************
void _far catclose(nl_catd _far catd)
{
	
	fclose(theMessages[catd].fp);
}
//********************************************************************
nl_catd _far catopen(char _far * name, int _far oflag)
{
	int i;
	oflag = oflag;

	i = 1;
	while (i < MAX_CATALOG_ITEMS) {
		  if (theMessages[i].Available == YES ) {
				theMessages[i].theCatalogNumber = i;
				theMessages[i].fp = fopen(name,"r"); 
				theMessages[i].Available = NO;
				break;
			}
			i++;
		}
			
	return theMessages[i].theCatalogNumber;
}
//********************************************************************
char _far * catgets(
				nl_catd _far catd, 
				int _far set_id, 
				int _far msg_id,
				char _far * s)
{
	
	static char _far theString[512];
	static char _far theNumber[6];

	set_id = set_id;
	msg_id = msg_id;

	

	sprintf(theNumber,"%d ",msg_id);


	/*
	printf ("[%s]\n",theNumber);
	cout << "[" << theNumber << "]" << endl;
	cout << "[" << theMessages[catd].fp << "]" << endl; 
	*/

	if (theMessages[catd].fp)
		{
		  while((strncmp(theNumber,theString,strlen(theNumber)) != 0) &&
				(fscanf(theMessages[catd].fp,"%[^\n] ",theString) != EOF))
			{
				//memset(theString,0,82);
				//printf ("Just got [%s]\n", theString);
				//printf ("theNumber = [%s]\n",theNumber);
			}
				rewind(theMessages[catd].fp);
			return (theString + strlen(theNumber));
		}
	else
		return s;
 
}
