/*
 * rpc_funcs.H
 *    This contains some global variables we use to keep statistics.
 *
 * rpc_funcs.H,v 1.2 1993/06/22 20:33:17 gjb Exp
 */

#ifndef RPC_FUNCS_H
#define RPC_FUNCS_H

#include <objdce/mutex.H>

class AbsoluteTime;

class NonTranServer;
class ServerLoginContext;
class Stopwatch;

extern NonTranServer* server;
extern ServerLoginContext* context;
extern unsigned long SampleAddCalled;
extern unsigned long SampleStringCalled;
extern unsigned long SampleStructCalled;
extern unsigned long BroadcastCalled;
extern MutexLock CountLatch;
extern char* ACLDirectory;

extern void InitCounts();
extern void PrintCounts();
extern void PrintClientCounts(const AbsoluteTime& startTime, 
			      const AbsoluteTime& stopTime);

#endif
